






























                                READROOM.TOC
                                Format Specifications
                                Revision 3.0
                                09/08//93













                                

                                Created by:
                                Exhibit A Communications
                                110 East Avenida Palizada
                                Suite 201
                                San Clemente, CA 92672
                                (714) 492-8727 (bbs)
                                (714) 492-3697 (fax)



        In the interest of keeping control over the progress and
development of the READROOM.TOC format, Exhibit A Communications retains
the copyright to the format, while still offering it for use free of
charge to any interested parties.

        The format, designed to help expand the acceptance of electronic
publications by both sysops and end users alike, will continue to
advance as current technology progresses.  As such, interested parties
are encouraged to contact Exhibit A Communications at the address listed
on the cover page to be added to the READROOM.TOC contact list.  This
list will include publishers and programmers who work with the format.
As new features are added to the format, persons on this list will be
appraised of the changes.

        Any suggestions about the direction of the format and future
features should be directed to Exhibit A Communications.


                     Ŀ
                          READROOM.TOC      
                      Format Specifications 
                          Revision 3.0      
                     

1)  All programs supporting the .TOC format must be able to read and run
    publications created using earlier versions of the format.

2)  All publications distributed in the READROOM.TOC format must include
    a control file titled READROOM.TOC. This file is a standard ASCII
    text file. A full description of this file will follow.

3)  Publications distributed in the READROOM.TOC format may include,
    optionally, the most current version of READER.COM for owners of IBM
    PC compatible computers. It is also strongly encouraged that
    publishers include a FILE_ID.DIZ or DESC.SDI file in their
    publication to ease importation of the publication into a BBS's
    file base. See Appendix C for a description of FILE_ID.DIZ format.

4)  Publications distributed in the READROOM.TOC format will also include
    any number of additional files. Each additional file will fall into
    one of two categories:
        a) an article
        b) a submenu
        c) an executable

6)  The file READROOM.TOC is a standard ASCII text file with a minimum
    of 5 lines and a maximum of 104. Lines one through 4 contain control
    information about the publication for use by programs supporting the
    format. Lines 5 through 104 contain filenames and descriptions for each
    of the individual articles, one line per article.
    1) Line one contains the full filename for your archive publication.
    2) Line two contains the filename for a file to be shown to readers
       before they reach the menu of articles.  This file can be thought
       of as a publication's cover.
    3) Line three contains the publication's title.  This line can be no
       longer than 74 characters in length.
    4) Line four contains the publication's subheading. This line is
       generally used for volume, issue and date information. This line
       can be no longer than 74 characters in length.
 5-104)These lines are the article description lines. Each line will be
       for one article in the publication. Each line is divided up into
       two parts.  The first is the filename of the ASCII version of the
       article. The second part is the article title and is separated
       from the filename by at least one space.
       a) The article title may be no longer than 60 characters in
          length. Any text that extends past this point will be
          truncated.
       b) The article filename is based upon the display file standard
          for BBSes. The ASCII text version is a standard file name, no
          longer than seven characters and with no extension. If the
          reader is capable of displaying color (either online or
          offline) the ANSI text or ANSIART version of the article will
          be displayed. The ANSI version must be named the same as the
          ASCII version, only ending with a G. If the reader is capable
          of displaying RIP graphics, the RIP version of the article will
          be displayed. The RIP version must be named the same as the ASCII
          version, only ending with an R.
          So if ART1 was the ASCII version of the first article in a
          publication, ART1G would be the ANSI text or ANSIART version of
          the first article and ART1R would be the RIP version of this article.

4)  Articles can be in at least one of the following file formats:
        a) ASCII text
        b) ANSI text or ANSIART
        c) RIP graphics

    Each of these files may be of unlimited length, subject to the
    following limitations:
        a) Each article should have, at minimum, an ASCII version.
        b) All files with a display line length of greater than 80 will
           be wrapped on the screen. This is designed so that supporting
           offline readers will emulate the effects of supporting online
           doors as viewed through a communications program.
        c) ANSI text screens should take the previous limitation in mind.
        d) ANSIART, identified by the phrase "[ANSIART]" (excluding the
           quotes) in the first 9 characters of a file, may have any
           length and may include ANSI animation codes. This file type
           allows for nonstop display of involved ANSI drawings.

5)  An executable file (for IBM compatible computers) is distinguished from
    a normal article in one of two ways.
        1) If the program may be launched with no arguments, then the filename
           is preceded by an asterisk (*).
        2) If the program to be launched requires command line arguments,
           they may be included provided the whole command line string is
           enclosed in quotation marks.

    Please note that this option should NOT appear on a publication's menu
    when it is shown in supporting online doors. It is provided as a
    service to publishers for the use of their subscribers offline.
    This article should NOT appear on offline readers that are created for
    systems that are not capable of running programs designed for
    IBM-Compatible computers.

6)  A submenu file is distinguished from a normal article in that its name is
    preceded by the "at" character (@). A submenu will be launched from the
    publication's menu in place of an article. It will a separate menu to the
    reader. The format used for the submenu's is the same as that for
    READROOM.TOC files with two exceptions:
    1) The file can be named anything EXCEPT READROOM.TOC. A good rule of
       thumb would be to give the submenu an appropriate name with an
       extension of .TOC.
    2) The first line in the submenu, which is used for the publication's
       archive name in READROOM.TOC file, should be left blank as it is
       ignored in a submenu.


                      Ŀ
                              Appendix A        
                       Sample READROOM.TOC File 
                      
Line
   Ŀ
001SAMPLE.ZIP                                                                
002BANNER                                                                    
003Sampler of All Sorts of Goodies                                           
004August 20, 1993       Vol. 3, Issue 0                                     
005ART1      Editor's Corner: This month's really libelous stuff             
006ART2      Revision 3.0 of the READROOM.TOC format specifications          
007*RUNME    And now for something completely different                      
008"SHOWGIF MY.GIF" Take a look at a pretty picture!                         
009@SUB1.TOC AnsiArt gallery                                                 
......       ...                                                             
xxxARTxx     This is the xxxth article in this publication                   
   

   Line 1 is the name of the archive as it is shipped from the publisher.
   Line 2 is the name of the ASCII file to be displayed to the reader before
          the main article menu.
          If an ANSI or ANSIART version exists, it will be called BANNERG.
          If a RIP version exists, it will be called BANNERR.
   Line 3 is the name of the publication
   Line 4 is for the publication's subheading or volume information
   Line 5 is the first of the articles. All display articles following the same
          naming guidelines as Line 2 above.
   Line 6 is the second of xxx display articles.
   Line 7 is an executable program. It will NOT appear on the menus when
          the publication is displayed in a supporting door program. Offline
          programs will run this program on an IBM-Compatible computer
          system.
   Line 8 is an execubtable program that requires command line arguments.
          Offline programs supporting READROOM.TOC format will run this program
          on an IBM-Compatible computer system. Online programs will ignore it.
   Line 9 is a submenu. When this option is chosen, the main article menu
          is replaced with a submenu as defined by SUB1.TOC (see appendix B)


                      Ŀ
                              Appendix A        
                       Sample SubMenu: SUB1.TOC 
                      
Line
   Ŀ
001                                                                          
002SUBWELC                                                                   
003AnsiArt Gallery Sampler                                                   
004August 20, 1993       Vol. 3, Issue 0                                     
005ART1      Editor's Corner: This month's really libelous stuff             
006ART2      Revision 3.0 of the READROOM.TOC format specifications          
007*RUNME    And now for something completely different                      
......       ...                                                             
xxxARTxx     This is the xxxth article in this publication                   
   

   Line 1 is left blank.
   Line 2 is the name of the ASCII file to be displayed to the reader before
          the article submenu.
          If an ANSI or ANSIART version exists, it will be called BANNERG.
          If a RIP version exists, it will be called BANNERR.
   Line 3 is the name of the submenu.
   Line 4 is for the submenu's subheading or volume information
   Line 5 is the first of the articles. All display articles following the same
          naming guidelines as Line 2 above.
   Line 6 is the second of xxx display articles.
   Line 7 is an executable program. It will NOT appear on the menus when
          the publication is displayed in a supporting door program. Offline
          programs will run this program on an IBM-Compatible compatible
          system.


                         Ŀ
                              Appendix C     
                          File_Id.Diz Format 
                         

        FILE_ID.DIZ is an archive description file that is universally
recognized by most BBSes.  This file is usually extracted from an
archive when it is uploaded to a system. The file is then used for the
description.  The advantages to this are that YOU have control over the
description attached to your publication.
        The file is simply a 40 character wide by 10 line ASCII text
file with your archives description. It is best not to use any fancy
characters or boxes in your FILE_ID.DIZ file since many BBSes will
reformat this file to fit their particular file base, creating an
unreadable mess.


